Next: Doing things one usually do not want to do, Previous: Input and Output, Up: Option Summary [Contents][Index]

#### 5.2.4 How to change how the CMS is created

`--include-certs n` ¶

  Using n of -2 includes all certificate except for the root cert, -1 includes all certs, 0 does not include any certs, 1 includes only the signers cert and all other positive values include up to n certificates starting with the signer cert. The default is -2.

`--cipher-algo oid` ¶

  Use the cipher algorithm with the ASN.1 object identifier oid for encryption. For convenience the strings `3DES`, `AES` and `AES256` may be used instead of their OIDs. The default is `AES` (2.16.840.1.101.3.4.1.2).

`--digest-algo `name``

  Use `name` as the message digest algorithm. Usually this algorithm is deduced from the respective signing certificate. This option forces the use of the given algorithm and may lead to severe interoperability problems.